Package Details: android-apktool 2.5.0-1

Git Clone URL: https://aur.archlinux.org/android-apktool.git (read-only, click to copy)
Package Base: android-apktool
Description: a tool for reengineering Android apk files
Upstream URL: http://forum.xda-developers.com/showthread.php?t=1755243
Licenses: Apache
Submitter: TamCore
Maintainer: Muflone
Last Packager: Muflone
Votes: 226
Popularity: 0.36
First Submitted: 2010-10-25 15:09
Last Updated: 2021-01-09 17:20

Sources (2)

Latest Comments

1 2 3 4 5 Next › Last »

sToRmInG commented on 2021-01-11 12:43

@Muflone you're right, sorry about that.

I switched to the GitHub wrapper as well. I use the package version to specify which wrapper script to use:

# Maintainer: Muflone http://www.muflone.com/contacts/english/
# Contributor: navigaid <navigaid@gmail.com>

pkgname=android-apktool
pkgver=2.5.0
pkgrel=1
pkgdesc="a tool for reengineering Android apk files"
arch=('any')
url="http://forum.xda-developers.com/showthread.php?t=1755243"
license=('Apache')
depends=('java-runtime')
source=("https://github.com/iBotPeaches/Apktool/releases/download/v${pkgver}/apktool_${pkgver}.jar"
        "https://raw.githubusercontent.com/iBotPeaches/Apktool/v${pkgver}/scripts/linux/apktool")
sha256sums=('b392d7cb99b592e9c5acc3c06f1b0f180edde96c66b86b3d6932b7c0c4079fe4'
            'e9a49351b4df65d532e7c3cef27144c7e0e1c2daad1e367e65b2acef6715b863')

prepare() {
  sed -i 's/libdir=.*progdir/libdir="\/usr\/share\/'${pkgname}'/' apktool
}

package() {
  install -Dm 0755 "${srcdir}/apktool" "${pkgdir}/usr/bin/apktool"
  install -Dm 0644 "${srcdir}/apktool_${pkgver}.jar" "${pkgdir}/usr/share/${pkgname}/apktool.jar"
}

Muflone commented on 2021-01-09 17:21

@sToRmInG it would be more useful if you had contributed in offering the fix instead of keeping your PKGBUILD

sToRmInG commented on 2021-01-09 07:34

I'd have an updated package ready. @Muflone: Can you add me as an additional maintainer or orphan the package?

rpodgorny commented on 2020-01-03 06:31

please update or orphan, thank you...

Vrakfall commented on 2019-05-05 20:07

They now appear to be on github now as well. Maybe it'd be nice to add it to the possible sources (or as default).

(Forget the previous state of this comment, the bitbucket download still works, I didn't check hard enough before writing it.)

iamironz commented on 2019-03-05 07:57

@vasya Of course. Network outages, thanks for submitting.

vasya commented on 2019-03-04 08:23

@iamironz note that if you just want a package to be updated, the usual procedure is to click "Flag package out-of-date" on the web page.

iamironz commented on 2019-03-04 08:02

Please update repository with new 2.4.0 release: https://github.com/iBotPeaches/Apktool/releases/tag/v2.4.0

ishitatsuyuki commented on 2017-11-09 07:22

I think android-sdk-build-tools is not needed at all. Their official site doesn't list it as a requirement, and I can decode everything normally without the build tools installed.

icemodding commented on 2016-09-03 16:20

Fixed!
==> ERROR: ¡Uno o más archivos no superaron el control de validación!
==> ERROR: One or more files did not pass the validation control!